moderated Re: safari warns groups.io certificate expired, site "may be impersonating" groups.io etc. #misc


 

On Sat, May 30, 2020 at 04:47 PM, Larry Finch wrote:
Your Safari is very old. The current version is 13.1.1, so try updating it.
It seems no updates are available. Maybe because my Mac is very old as well? (Macbook Pro, Retina, 13 inch, early 2015) Or because I'm still running El Capitan (10.18.6)? I was warned not to install Catalina. Maybe that was bad advice?
 
--
J

Messages are the sole opinion of the author, especially the fishy ones.
My humanity is bound up in yours, for we can only be human together. - Desmond Tutu

Join main@beta.groups.io to automatically receive all group messages.